#include <stdio.h>
#include <stdint.h>
#include <sprinter.h>

void bank1_func2(int x) __banked;

void bank2_func(int x) __banked
{
    (void)x;
    puts("BANK2: hello from the second bank (W1)!");
    puts("BANK2: window 1 phys page = ");
    hex8(_io_page_w1);     /* should be BANK2's phys page */
    putchar('\n');
    putchar('2');
    putchar('=');
    putchar('0' + (x / 100) % 10);
    putchar('0' + (x / 10) % 10);
    putchar('0' + x % 10);
    putchar('\n');
    
    bank1_func2(10);
}
